Trades
curl --request GET \
--url https://relay.bayse.markets/v1/pm/tradesimport requests
url = "https://relay.bayse.markets/v1/pm/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.bayse.markets/v1/pm/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.bayse.markets/v1/pm/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.bayse.markets/v1/pm/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.bayse.markets/v1/pm/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "t1a2b3c4-d5e6-7890-abcd-ef1234567890",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"price": 0.72,
"size": 100,
"createdAt": "2026-02-17T12:00:01Z"
},
{
"id": "t2b3c4d5-e6f7-8901-bcde-f12345678901",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "NO",
"price": 0.28,
"size": 250,
"createdAt": "2026-02-17T11:59:45Z"
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 2,
"lastPage": 1
}
}
Market data
Trades
Get recent executed trades (CLOB markets only)
GET
/
v1
/
pm
/
trades
Trades
curl --request GET \
--url https://relay.bayse.markets/v1/pm/tradesimport requests
url = "https://relay.bayse.markets/v1/pm/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.bayse.markets/v1/pm/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.bayse.markets/v1/pm/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.bayse.markets/v1/pm/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.bayse.markets/v1/pm/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "t1a2b3c4-d5e6-7890-abcd-ef1234567890",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"price": 0.72,
"size": 100,
"createdAt": "2026-02-17T12:00:01Z"
},
{
"id": "t2b3c4d5-e6f7-8901-bcde-f12345678901",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "NO",
"price": 0.28,
"size": 250,
"createdAt": "2026-02-17T11:59:45Z"
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 2,
"lastPage": 1
}
}
Authentication
No authentication required.Query parameters
Example request
curl "https://relay.bayse.markets/v1/pm/trades?marketId=b2c3d4e5-f6a7-8901-bcde-f12345678901&page=1&size=20"
const response = await fetch(
'https://relay.bayse.markets/v1/pm/trades?marketId=b2c3d4e5-f6a7-8901-bcde-f12345678901&page=1&size=20'
);
const { data, pagination } = await response.json();
import requests
resp = requests.get(
'https://relay.bayse.markets/v1/pm/trades',
params={
'marketId': 'b2c3d4e5-f6a7-8901-bcde-f12345678901',
'page': 1,
'size': 20,
},
)
body = resp.json()
trades = body['data']
pagination = body['pagination']
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/pm/trades", nil)
q := req.URL.Query()
q.Add("marketId", "b2c3d4e5-f6a7-8901-bcde-f12345678901")
q.Add("page", "1")
q.Add("size", "20")
req.URL.RawQuery = q.Encode()
resp, _ := http.DefaultClient.Do(req)
Response
Returns a paginated list of recently executed trades, most recent first. Trades are indata, with pagination metadata in pagination.
{
"data": [
{
"id": "t1a2b3c4-d5e6-7890-abcd-ef1234567890",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"price": 0.72,
"size": 100,
"createdAt": "2026-02-17T12:00:01Z"
},
{
"id": "t2b3c4d5-e6f7-8901-bcde-f12345678901",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "NO",
"price": 0.28,
"size": 250,
"createdAt": "2026-02-17T11:59:45Z"
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 2,
"lastPage": 1
}
}
This endpoint returns trades from CLOB markets only. AMM market trades are not included.